import { ApiError } from "./api-error";

export class ValidationApiError extends ApiError {
  constructor(detail: string, errors?: any[]) {
    super({
      status: 422,
      title: "Validation Failed",
      detail,
      type: "https://httpstatuses.com/422",
      errors,
    });
  }
}
